<div>
    <h2>
        <span>Personas</span>
        <button class="btn btn-primary float-right jh-create-entity create-persona" [routerLink]="['/', { outlets: { popup: ['persona-new'] } }]">
            <span class="fa fa-plus"></span>
            <span >
            Create new Persona
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="personas">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span>ID</span></th>
            <th><span>Firstname</span></th>
            <th><span>Name</span></th>
            <th><span>Pseudo</span></th>
            <th><span>Sexe</span></th>
            <th><span>Age</span></th>
            <th><span>Bio</span></th>
            <th><span>Caractere</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let persona of personas ;trackBy: trackId">
                <td><a [routerLink]="['../persona', persona.id ]">{{persona.id}}</a></td>
                <td>{{persona.firstname}}</td>
                <td>{{persona.name}}</td>
                <td>{{persona.pseudo}}</td>
                <td>{{persona.sexe}}</td>
                <td>{{persona.age}}</td>
                <td>{{persona.bio}}</td>
                <td>{{persona.caractere}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../persona', persona.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'persona/'+ persona.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'persona/'+ persona.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
